Package org.apache.solr.client.solrj.request.beans

## Class AddReplicaPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.AddReplicaPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class AddReplicaPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `_route_`
`String` `async`
`Map<String,​Object>` `coreProperties`
`List<String>` `createNodeSet`
`String` `dataDir`
`Boolean` `followAliases`
`String` `instanceDir`
`String` `name`
`String` `node`
`String` `shard`
`Boolean` `skipNodeAssignment`
`String` `type`
`String` `ulogDir`
`Boolean` `waitForFinalState`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`AddReplicaPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### shard

    public String shard

#### _route_

    public String _route_

#### node

    public String node

#### createNodeSet

    public List<String> createNodeSet

#### name

    public String name

#### instanceDir

    public String instanceDir

#### dataDir

    public String dataDir

#### ulogDir

    public String ulogDir

#### coreProperties

    public Map<String,​Object> coreProperties

#### async

    public String async

#### waitForFinalState

    public Boolean waitForFinalState

#### followAliases

    public Boolean followAliases

#### skipNodeAssignment

    public Boolean skipNodeAssignment

#### type

    public String type

### Constructor Detail

#### AddReplicaPayload

    public AddReplicaPayload()